Bug 124712 - x11-themes/clearlooks-themes does not build
Summary: x11-themes/clearlooks-themes does not build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-18 13:20 UTC by Stefan Sperling
Modified: 2009-03-22 18:14 UTC (History)
0 users

See Also:


Attachments
file.diff (840 bytes, patch)
2008-06-18 13:20 UTC, Stefan Sperling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Sperling 2008-06-18 13:20:04 UTC
It seems that an attempt to fix a build failure of this port
did not really fix it.

When trying to install this port, is errors out with:

Gnome/gtk-engine users should use /usr/ports/x11-themes/clearlooks-themes instead

*** Error code 1

This is because the Makefile of the master port (x11-themes/clearlooks)
uses ${PORTNAME} to determine which port it is building:

A recent commit changed the PORTNAME of x11-themes/clearlooks-themes
from "clearlooks-themes" to just "clearlooks", which makes the Makefile
think the master port is being built, even though the sub-port is being built.

----------------------------
revision 1.3
date: 2008/04/22 08:33:35;  author: miwi;  state: Exp;  lines: +2 -1
- Fix build after xorg cleanup

Submitted by:   pointyhat

$ cvs diff -r1.2 -r1.3 Makefile 
Index: Makefile
===================================================================
RCS file: /usr/ncvs/ports/x11-themes/clearlooks-themes/Makefile,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- Makefile    13 Apr 2005 16:50:05 -0000      1.2
+++ Makefile    22 Apr 2008 08:33:35 -0000      1.3
@@ -2,10 +2,11 @@
 # Date created:                2005-04-12
 # Whom:                        Michael Johnson <ahze@FreeBSD.org>
 #
-# $FreeBSD: ports/x11-themes/clearlooks-themes/Makefile,v 1.2 2005/04/13 16:50:05 ahze Exp $
+# $FreeBSD: ports/x11-themes/clearlooks-themes/Makefile,v 1.3 2008/04/22 08:33:35 miwi Exp $
 #
 
-PORTNAME=      clearlooks-themes
+PORTNAME=      clearlooks
+PKGNAMESUFFIX+=        -themes
 
 COMMENT=       Clearlooks themes with the engine coming from gtk-engines2
 

Whatever this commit tried to fix exactly (sadly, the log message
does not say), the fix is clearly wrong.

Fix: This patch makes x11-themes/clearlooks-themes build again.
I have no idea whether this has any effect on the original
problem which the commit tried to fix, because I don't have
any information on what the original problem was beyond
the terse hint provided in the commit's log message.

Apart from changing the PORTNAME back to "clearlooks-themes",
it also fixes a problem with the distfile's name -- if DISTNAME
is left at its default value, the port cannot build because
it will assume a distname that does not match what's in the
master port's distinfo file.
How-To-Repeat: cd /usr/ports/x11-themes/clearlooks-themes && make
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 13:20:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pav Lucistnik freebsd_committer 2009-03-22 18:13:49 UTC
State Changed
From-To: open->closed

Fixed (fix from ports/125764 was used)